/*
 * @Author: zc
 * @description 呼叫中心
 */
import request from '@/utils/request';
/**
 * @description 查询呼叫中心分机列表
 * @param params
 */
export const getCallCenterList = (params?: object) => {
    return request({
        url: `/api/v1/Call/tels`,
        method: 'get',
        params,
    });
};
/**
 * @description 查询呼叫中心分机组列表
 * @param params
 */
export const getCallCenterGroupList = (params?: object) => {
    return request({
        url: `/api/v1/Call/groups`,
        method: 'get',
        params,
    });
};
/**
 * @description 签入
 * @param data
 */
export const callCenterSignIn = (data: object) => {
    return request({
        url: `/api/v1/Call/signin`,
        method: 'post',
        data,
    });
};
/**
 * @description 签出
 * @param data
 */
export const callCenterSignOut = (data: object) => {
    return request({
        url: `/api/v1/Call/signout`,
        method: 'post',
        data,
    });
};